## psurface 2.0.0

=== debian/changelog ===
psurface (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.
  * debian/control: Update Vcs-* fields.
  * debian/rules: Switch to the automatic dbgsym package.
  * debian/control: Use Rules-Requires-Root: no.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/not-installed: Explicitly do not install .la files.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 20:40:32 -0500

psurface (2.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063293

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:21:04 +0000

psurface (2.0.0-2) unstable; urgency=medium

  * Fix build failure with GCC 6. (Closes: #831159)
    + New patch: build-failure-with-gcc-6.patch
  * debian/control: Use `https://` for Vcs-* fields.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 18 Jul 2016 12:09:30 +0200

psurface (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition, patch
    from Ubuntu (see #791248)

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 10 Aug 2015 23:23:30 +0100

psurface (2.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #750727)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 22 Jun 2014 11:51:04 +0200
