=== debian/control ===
Source: psurface
Section: libs
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Git: https://salsa.debian.org/science-team/psurface.git
Vcs-Browser: https://salsa.debian.org/science-team/psurface
Homepage: http://numerik.mi.fu-berlin.de/dune/psurface
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Rules-Requires-Root: no

Package: psurface
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libpsurface-dev (= ${binary:Version})
Description: piecewise linear bijections between triangulated surfaces -- utilities
 Psurface is a C++ library that handles piecewise linear bijections
 between triangulated surfaces. These surfaces can be of arbitrary
 shape and need not even be manifolds.
 .
 This package contains several utilities for working with psurface.

Package: libpsurface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpsurface0t64 (= ${binary:Version})
Suggests: psurface (= ${binary:Version})
Description: piecewise linear bijections between triangulated surfaces -- development files
 Psurface is a C++ library that handles piecewise linear bijections
 between triangulated surfaces. These surfaces can be of arbitrary
 shape and need not even be manifolds.
 .
 There are two main uses for psurface. When doing adaptive finite
 element simulations on grids with parametrized boundaries, psurface
 can store the parametrization. Boundary parametrizations are
 practically mappings from the coarse grid boundary to the actual
 boundary, and if that actual boundary is a triangulated surface then
 psurface can handle it. This is implemented, for example, in the
 dune-grid module of Dune.
 .
 Secondly, when doing domain decomposition methods with nonconforming
 interfaces, you need to relate the two interface grids to each
 other. Psurface can do this for you, even if your interfaces do not
 match geometrically. Such is the case, e.g., in contact
 problems. This second functionality is also available for 1d surfaces
 in 2d space.
 .
 The easiest way to use psurface for domain decomposition is to get
 the dune-grid-glue module and use it to drive psurface.
 .
 This package contains the development files.

Package: libpsurface0t64
Provides: ${t64:Provides}
X-Time64-Compat: libpsurface0v5
Breaks: libpsurface0v5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libpsurface0
Replaces: libpsurface0v5, libpsurface0
Description: piecewise linear bijections between triangulated surfaces -- shared library
 Psurface is a C++ library that handles piecewise linear bijections
 between triangulated surfaces. These surfaces can be of arbitrary
 shape and need not even be manifolds.
 .
 This package contains the shared library.
