=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-amiramesh --without-x --without-hdf5

override_dh_auto_test:
	# Tests skipped. They need files not included in the repository.

override_dh_strip:
	dh_strip --dbgsym-migration='libpsurface-dbg (<< 2.0.0-3~)'
